Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.stratum.ojb
Class OJBComponent

    java.lang.Object
      org.apache.stratum.ojb.OJBComponent

All Implemented Interfaces:
  Configurable, Initializable

public class OJBComponent
extends java.lang.Object
implements Configurable, Initializable

This class is the Object Bridege component that

Version:
  $Id: OJBComponent.java 264191 2005-08-29 18:07:52Z henning $
Author:
  John Thorhauer

Constructor Summary
`OJBComponent()`

Method Summary
`void` | `configure(org.apache.commons.configuration.Configuration configuration)` Configure the Broker
`ojb.broker.PersistenceBroker` | `getPersistenceBroker()` Retrieves the initialized persistence broker
`void` | `initialize()` Initialize the OJB Broker

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OJBComponent

    public OJBComponent()

Method Detail

### configure

    public void configure(org.apache.commons.configuration.Configuration configuration)
                   throws org.apache.commons.lang.exception.NestableException

  Configure the Broker

  Specified by:
    `configure` in interface `Configurable`
  Parameters:
    `configuration` - TODO: DOCUMENT ME!
  Throws:
    `org.apache.commons.lang.exception.NestableException` - TODO: DOCUMENT ME!

### initialize

    public void initialize()
                    throws java.lang.Exception

  Initialize the OJB Broker

  Specified by:
    `initialize` in interface `Initializable`
  Throws:
    `java.lang.Exception` - TODO: DOCUMENT ME!

### getPersistenceBroker

    public ojb.broker.PersistenceBroker getPersistenceBroker()

  Retrieves the initialized persistence broker

  Returns:
    the initialized Persistence Broker

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005 Apache Software Foundation. All Rights Reserved.